Subject: Re: bug#32285: 26.1;

From: Emacs Watcher <[email-masked]>
Date: Fri, 27 Jul 2018 07:53:17 -0700

Hello and thanks for your response.

By "clobbered", I mean that the original session (and all channels
associated with it) stops updating. I also mean that host:port pairs seem
to be the internal key for mapping session data structures, as seen below.

As  for my configuration, I can prove that it's not germane:

Start emacs with no config.

n.b.: the exact usernames in the following snippets are not important, just
that they are different.
----
$ emacs -Q

M-x erc RET
irc.freenode.net RET
6667 RET
testuser1 RET

----

So far, so good. We have a session.

----

M-x erc RET
irc.freenode.net RET
6667 RET
testuser2 RET

----

You should notice that the 'freenode' buffer has been reused and that the
original session cannot be reached. My guess is that this is an original
ERC design limitation, but it probably ought to be addressed.

On Thu, Jul 26, 2018 at 8:32 PM Brett Gilio <[email-masked]> wrote:

>
> Emacs Watcher writes:
>
> > When the user starts a second ERC session to the same host /
> > port, the
> > first one will be clobbered and stop communicating.
> >
>
> Hi,
>
> Thank you for your message. My "clobbered" what precisely do you
> mean?
> Is the buffer broken, or is the process being hung? This is good
> information for us to have.
>
> Also, if you could share your configuration you have defined for
> ERC
> that would be quite helpful.
>
> Best,
>
>
> --
> Brett M. Gilio
> Free Software Foundation, Member
> https://parabola.nu | https://emacs.org
>